@extends('layouts.app')

@section('page_title', 'View Photo Slider')

@section('content')
    <div class="card">
        <div class="card-header">
            <h5 class="mb-0 fw-bold text-dark">View Photo Slider</h5>
        </div>
        <div class="card-body">
            <div class="mb-3">
                <strong>Title:</strong> {{ $slider['title'] }}
            </div>
            <div class="mb-3">
                <strong>Description:</strong> {{ $slider['description'] }}
            </div>
            <div class="mb-3">
                <strong>Type:</strong> {{ $slider['type'] }}
            </div>
            <div class="mb-3">
                <strong>Image:</strong>
                @if ($slider['image'])
                    <img src="{{ $slider['image'] }}" alt="{{ $slider['title'] }}" style="max-width: 200px; height: auto;">
                @else
                    No image available.
                @endif
            </div>
            <div class="mb-3">
                <strong>Start Date:</strong> {{ $slider['startDate'] }}
            </div>
            <div class="mb-3">
                <strong>End Date:</strong> {{ $slider['endDate'] }}
            </div>
            <div class="mb-3">
                <strong>Active:</strong> {{ $slider['isActive'] ? 'Yes' : 'No' }}
            </div>
            <a href="{{ route('photo-slider') }}" class="btn btn-secondary">Back</a>
            <a href="{{ route('photo-slider.edit', $slider['photo_slider_uuid']) }}" class="btn btn-primary">Edit</a>

        </div>
    </div>
@endsection