```blade
@extends('layouts.app')

@section('content')
<div class="container-fluid py-4">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header border-0 bg-transparent">
                    <h5 class="mb-0">View User Details</h5>
                </div>
                <div class="card-body">
                    <div class="mb-3">
                        <label class="form-label">Username</label>
                        <input type="text" class="form-control" value="{{ $user['username'] }}" readonly>
                    </div>
                    <div class="mb-3">
                        <label class="form-label">First Name</label>
                        <input type="text" class="form-control" value="{{ $user['firstName'] }}" readonly>
                    </div>
                    <div class="mb-3">
                        <label class="form-label">Last Name</label>
                        <input type="text" class="form-control" value="{{ $user['lastName'] }}" readonly>
                    </div>
                    <div class="mb-3">
                        <label class="form-label">Email</label>
                        <input type="email" class="form-control" value="{{ $user['email'] }}" readonly>
                    </div>
                    <div class="mb-3">
                        <label class="form-label">User Role</label>
                        <input type="text" class="form-control" value="{{ $user['role'] }}" readonly>
                    </div>
                    <div class="mb-3">
                        <label class="form-label">Status</label>
                        <input type="text" class="form-control" value="{{ $user['status'] }}" readonly>
                    </div>
                    @if($user['generated_password'])
                        <div class="mb-3">
                            <label class="form-label">Generated Password</label>
                            <input type="text" class="form-control" value="{{ $user['generated_password'] }}" readonly>
                        </div>
                    @endif
                    <div class="text-end">
                        <a href="{{ route('user.management') }}" class="btn btn-primary">Back to Users</a>
                        <a href="{{ route('user-management.edit', $user['admin_uuid']) }}" class="btn btn-primary">Edit</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
```