@extends('layouts.app')

@section('page_title', 'View Card Type')

@section('content')
    <div class="container">
        <h2>View Card Type</h2>
        @if (session('success'))
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{ session('success') }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        @endif
        @if (session('error'))
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                {{ session('error') }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        @endif

        <div class="card">
            <div class="card-body">
                <h5 class="card-title">{{ $cardType['cardTypeDescription'] }}</h5>
                <p class="card-text"><strong>Card Code:</strong> {{ $cardType['cardCode'] }}</p>
                <p class="card-text"><strong>Type:</strong> {{ $cardType['type'] }}</p>
                <p class="card-text"><strong>Short Description:</strong> {{ $cardType['cardTypeShortDescription'] }}</p>
                @if ($cardType['cardTypeImage'])
                    <p class="card-text"><strong>Card Image:</strong> <a href="{{ $cardType['cardTypeImage'] }}" target="_blank">View</a></p>
                @endif
                <p class="card-text"><strong>Font Color:</strong> {{ $cardType['virtualCardFontColor'] }}</p>
                @if ($cardType['cardTypeCoverImage'])
                    <p class="card-text"><strong>Cover Image:</strong> <a href="{{ $cardType['cardTypeCoverImage'] }}" target="_blank">View</a></p>
                @endif
                <p class="card-text"><strong>ID Number Required:</strong> {{ $cardType['idNumberRequired'] }}</p>
                <p class="card-text"><strong>ID Number Description:</strong> {{ $cardType['idNumberDescription'] ?: 'N/A' }}</p>
                <p class="card-text"><strong>Terms and Conditions:</strong> {{ $cardType['termsAndConditions'] }}</p>
                <p class="card-text"><strong>FAQs:</strong> {{ $cardType['faqs'] }}</p>
                <a href="{{ route('card-types') }}" class="btn btn-secondary">Back</a>
            </div>
        </div>
    </div>
@endsection